<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Вывод средств');

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Биллинг панель </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/billing" rel="v:url" property="v:title">Биллинг</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Вывод средств</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

if ($b == false) {
header('location: /');
die();
}
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - Вывод средств</div>';
if ($b['row'] < 2) {
echo'<div class="row text_box"> Вывод средств доступен для пользователей с уровня <font color=Gold><b>Старожил</b></font>, для того, чтобы открыть доступ вам необходимо получить новый статус. <a href="/modules/index.html?i=status"> [ Подробнее о статусах ] </a></div>';
///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
die();
}
if ($b['wmr'] != null) {
if (isset($_POST['ok'])) {
$rur = abs((int)$_POST['rur']);
$pass = check($_POST['pass']);
if (empty($rur)) {
err('Введите сумму!');
} elseif ($b['rur'] < $rur) {
err('У вас недостаточно средств для вывода!');
} elseif ($rur < 1 OR $rur > 8000) {
err('Ошибка! Сумма не должна быть меньше 1 или больше 8 000 руб.');
} elseif (sha1($pass.'gearnet') != $b['pass']) {
err('Пароль введен не верно!');
} else {
DB::$dbs->query("INSERT INTO `billing_out` (`user_id`,`rur`,`time`) VALUES (?,?,?)", array($b['id'],$rur,time()));
$id = DB::$dbs->lastInsertId();
$text = 'Вывод средств. Сумма: [b]'.$rur.'р.[/b]';
echo '<div class="row text_box"> Платеж принят в обработку. О результате Вы будете уведомлены.</div>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
}
}
echo'<div class="row text_box"> Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="inwm.html">Пополнить</a></br>
Виртуальный счет <b>'.$b['gears'].'</b> G. <a href="ex.html">Обменять на WMR</a></div>';
echo '<div class="row text_box"><b>Сумма</b><br/>
<form action="?" method="post"><input name="rur" class="form-control"maxlength="7"/><br />Пароль: <br/><input name="pass"class="form-control"/><br /> <input type="submit" class="btn btn-primary" name="ok" value="Вывести"/></form></div>';
} else err('Заполните WMR кошелек!');
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>